Summary: Calm Window Manager by OpenBSD project
Name: cwm
Version: 6.2
Release: 2%{?dist}
# The entire source code is licensed under ISC license, except queue.h which is
# BSD
License: ISC and BSD
Url: https://github.com/chneukirchen/cwm
Source0: http://chneukirchen.org/releases/%{name}-%{version}.tar.gz
Source1: %{name}.desktop
Source2: LICENSE
BuildRequires: pkgconf
BuildRequires: byacc
BuildRequires: libX11-devel
BuildRequires: libXrandr-devel
BuildRequires: libXinerama
BuildRequires: libXft-devel

%description
cwm (calm window manager) is a window manager for X11 which contains many
features that concentrate on the efficiency and transparency of window
management, while maintaining the simplest and most pleasant aesthetic.

This package contains a Linux port of the official project, which changes the
source for the port portion but doesn't touches the original functionality
provided by the original OpenBSD's project.

%prep
%setup -q
cp -a %{SOURCE2} .

%build
make %{?_smp_mflags}

%install
make PREFIX=%{_prefix} DESTDIR=%{buildroot} install
install -d %{buildroot}/%{_datadir}/xsessions
install -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/xsessions

%files
%doc README
%license LICENSE
%{_bindir}/*
%{_datadir}/xsessions/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Dec 13 2017 Bruno E. O. Meneguele <bmeneguele@gmail.com> - 6.2-1
- Initial package
